if (!exists("mysql.connection")) {
    cat ('Note: This demo requires a local MySQL database+user+password all named "condense".\n')
    mysql.connection <- dbConnect(
        dbDriver("MySQL"), host="localhost", user="condense", password="condense", dbname="condense")
}

data(iris)
dbWriteTable(mysql.connection, "iris", iris, overwrite=TRUE)

print (jk.means(
     connection=mysql.connection
    ,input.table="iris"
    ,analyse=list(
         list(name="Sepal_Length", label="sepal length", quartiles=c(4,5,6,7,8))
        ,list(name="Petal_Length", label="petal length", quartiles=c(-Inf,1,4,6,Inf))
    )
    ,group.by=list(
        list(name="Species", label="species", groups=list(
             list(level=1, label="v...",       condition="x<>'setosa'") 
            ,list(level=2, label="versicolor", condition="x='versicolor'") 
            ,list(level=2, label="virginica",  condition="x='virginica'") 
            ,list(level=1, label="setosa",     condition="x='setosa'") 
        ))
        ,list(name="Petal_Width", label="petal width", groups=list(
             list(level=1, label="all",   condition="true") 
            ,list(level=2, label="<1.5",  condition="x<1.5") 
            ,list(level=2, label=">=1.5", condition="x>=1.5") 
        ))
    )
    ,where="Petal_Width<2"
    ,secret="some-secret-of-the-data-provider"
))

dbDisconnect(mysql.connection)
